﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Media.Imaging;

namespace UsingStandardControls
{
    public partial class ComboBoxExample : UserControl
    {
        public ComboBoxExample()
        {
            InitializeComponent();
            comboBox1.Items.Add("Green");
            PopulateComboBox();
        }

        private void PopulateComboBox()
        {
            StackPanel sp;
            for (int i = 3; i < 10; i++)
            {
                sp = new StackPanel();
                Image image = new Image();
                BitmapImage btImage =
                    new BitmapImage(
                        new Uri("/UsingStandardControls;component/Images/img" + i + ".jpg",
                            UriKind.Relative));
                image.Source = btImage;
                TextBlock tb = new TextBlock();
                tb.Text = "img" + i + ".jpg";
                sp.Children.Add(image);
                sp.Children.Add(tb);
                comboBox2.Items.Add(sp);
            }
        }

        private void comboBox2_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            StackPanel result = (StackPanel)comboBox2.SelectedItem;
            image1.Source = ((Image)(result.Children[0])).Source;
        }

        private void checkBox1_Checked(object sender, RoutedEventArgs e)
        {
            calendar1.BlackoutDates.Add(new CalendarDateRange(new DateTime(2012, 5, 28)));
            calendar1.UpdateLayout();
        }

        private void checkBox2_Checked(object sender, RoutedEventArgs e)
        {
            calendar1.BlackoutDates.Add(new CalendarDateRange(new DateTime(2012, 7, 4)));
            calendar1.UpdateLayout();
        }
    }
}
